@Generated(value="org.apache.camel.maven.packaging.EndpointDslMojo") public interface WsEndpointBuilderFactory
| Modifier and Type | Interface and Description |
|---|---|
static interface |
WsEndpointBuilderFactory.AdvancedWsEndpointBuilder
Advanced builder for endpoint for the AHC Websocket component.
|
static interface |
WsEndpointBuilderFactory.AdvancedWsEndpointConsumerBuilder
Advanced builder for endpoint consumers for the AHC Websocket component.
|
static interface |
WsEndpointBuilderFactory.AdvancedWsEndpointProducerBuilder
Advanced builder for endpoint producers for the AHC Websocket component.
|
static interface |
WsEndpointBuilderFactory.WsBuilders |
static interface |
WsEndpointBuilderFactory.WsEndpointBuilder
Builder for endpoint for the AHC Websocket component.
|
static interface |
WsEndpointBuilderFactory.WsEndpointConsumerBuilder
Builder for endpoint consumers for the AHC Websocket component.
|
static interface |
WsEndpointBuilderFactory.WsEndpointProducerBuilder
Builder for endpoint producers for the AHC Websocket component.
|
| Modifier and Type | Method and Description |
|---|---|
static WsEndpointBuilderFactory.WsEndpointBuilder |
ahcWs(String path)
AHC Websocket (camel-ahc-ws)
To exchange data with external Websocket servers using Async Http Client.
|
static WsEndpointBuilderFactory.WsEndpointBuilder |
ahcWs(String scheme,
String path)
AHC Websocket (camel-ahc-ws)
To exchange data with external Websocket servers using Async Http Client.
|
static WsEndpointBuilderFactory.WsEndpointBuilder |
ahcWss(String path)
AHC Secure Websocket (Secure) (camel-ahc-ws)
To exchange data with external Websocket servers using Async Http Client.
|
static WsEndpointBuilderFactory.WsEndpointBuilder ahcWs(String path)
ahc-ws:httpUri
Path parameter: httpUri (required)
The URI to use such as http://hostname:port/pathstatic WsEndpointBuilderFactory.WsEndpointBuilder ahcWss(String path)
ahc-wss:httpUri
Path parameter: httpUri (required)
The URI to use such as http://hostname:port/pathstatic WsEndpointBuilderFactory.WsEndpointBuilder ahcWs(String scheme, String path)
Apache Camel